# Simplify process checking

A possible solution to simplify checking of execution of process according a given metagwgs command.

- [process.yaml](./process.yaml) give information on each process: What label it needs and what labels skip it. 

- [from_command_to_process.py](from_command_to_process.py) is a python script that parse a nextflow command ans the [process.yaml](./process.yaml) and ouput the process expected to be launched according to the command. 

WARNINGS:
- The command should be as explicit as possible. For example the `--type` parameter is per default `SR`. `--type SR` should be explicitly given to the command. 
- The script needs the python module to be installed in the environnement [PyYAML](https://pypi.org/project/PyYAML/)


Example of command:
```bash
nextflow_command='nextflow -C ../conf/stub.config run ../main.nf  -stub-run  --input ../functional_tests/stub_test/samplesheet_small.csv --skip_kaiju --stop_at_clean --skip_host_filter --type SR -with-trace --use_sickle --assembly_tool metaspades' 
python from_command_to_process.py -c $nextflow_command -p process.yaml -v
```

The command above output many useful log to check that everything is going well. 

At last it gives the folowing Process: 
```
INFO: {'S01_CLEAN_QC:SICKLE', 'S01_CLEAN_QC:PLOT_KAIJU_STAT', 'METASPADES', 'S01_CLEAN_QC:HOST_FILTER', 'S01_CLEAN_QC:PLOT_KRONA', 'S01_CLEAN_QC:FASTQC_CLEANED', 'MULTIQC', 'S01_CLEAN_QC:MERGE_KAIJU', 'S01_CLEAN_QC:KAIJU', 'S01_CLEAN_QC:FASTQC_RAW', 'GET_DB_VERSIONS', 'GET_SOFTWARE_VERSIONS', 'S01_CLEAN_QC:CUTADAPT'}

```

TODO: complete the process.yaml to give info on all process 

TODO: use this way of checking process along stub excution of the pipeline and use within gitlab CI/CD. 
