process QUAST {
    tag "${meta.id}"
    label 'QUAST'
    publishDir "${params.outdir}/${outdir}/", mode: 'copy', pattern: "${meta.id}/*"

    input:
        tuple val(meta), path(assembly)
        val outdir

    output:
        path "${meta.id}/*", emit: all
        tuple val(meta), path ("${meta.id}/report.tsv"), emit: report
        path "v_quast.txt", emit: v_quast

    script:
        """
        mkdir -p ${meta.id}/
        touch ${meta.id}/report.tsv
        metaquast.py --threads ${task.cpus} --rna-finding --max-ref-number 0 --min-contig 0 ${assembly} -o ${meta.id} --labels ${meta.id}

        quast -v &> v_quast.txt
        """
}
